#!ipxe

iseq ${platform} efi && goto is_efi || goto not_efi

:is_efi
kernel wimboot
initrd efiboot.txt   efiboot.txt
initrd -n install.bat ($OSINSTALLINFO_HTTPv4)   install.bat
initrd winpeshl.ini  winpeshl.ini
initrd bootmgr.exe   bootmgr.exe
initrd boot_order_changer.exe boot_order_changer.exe
initrd sed.exe sed.exe
initrd wget.exe wget.exe
initrd BCD           BCD
initrd boot.sdi      boot.sdi
initrd -n boot.wim ($SHAREDIR_FILE)boot.wim boot.wim
boot


:not_efi
kernel wimboot
initrd -n install.bat ($OSINSTALLINFO_HTTPv4)   install.bat
initrd winpeshl.ini  winpeshl.ini
initrd bootmgr.exe   bootmgr.exe
initrd wget.exe wget.exe
initrd BCD           BCD
initrd boot.sdi      boot.sdi
initrd -n boot.wim ($SHAREDIR_FILE)boot.wim boot.wim
boot
